Bug 1026651 - RHQ storage alerts for JVM heap > 75% fire fairly regularly
RHQ storage alerts for JVM heap > 75% fire fairly regularly
Status: CLOSED WORKSFORME
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 02:15 EST by Elias Ross
Modified: 2014-09-16 19:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-16 19:50:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Heap usage (66.65 KB, image/png)
2013-11-05 02:15 EST, Elias Ross
no flags Details

  None (edit)
Description Elias Ross 2013-11-05 02:15:06 EST
Created attachment 819546 [details]
Heap usage

Description of problem:

I have a two node test cluster, serving about 200 agents. The heap size hovers around 50% for both Cassandra servers, but sometimes inches up to 80%. The 'max' is around 80% and hasn't gone over. I have about 5GB of heap for both nodes, so there is plenty of size.

I don't think it's a concern, so I'd rather only get alerted if heap > 90% or something really critical.

See the attached screenshot.


Version-Release number of selected component (if applicable): 4.9


How reproducible: Daily or so
Comment 1 Elias Ross 2013-11-21 22:43:08 EST
I haven't seen this problem anymore. Hmm.

Just for kicks, I increased from 5GB of heap to 8GB of heap.

Heap increase period (when heap steadily increases then drops):

5GB: 6 hours
8GB: 12 hours

This is 8000 metrics/minute, single RHQ instance and 2 instances of Cassandra.
Comment 2 Elias Ross 2014-09-16 19:50:07 EDT
I have four (well eight) instances of Cassandra and not a problem.

Note You need to log in before you can comment on or make changes to this bug.